Create a new asset group
curl --request POST \
--url https://api.lynkwell.com/asset-management/v1/asset-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "location",
"sitePartners": [
"<string>"
],
"network": "<string>",
"metadata": {}
}
'import requests
url = "https://api.lynkwell.com/asset-management/v1/asset-groups"
payload = {
"type": "location",
"sitePartners": ["<string>"],
"network": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'location',
sitePartners: ['<string>'],
network: '<string>',
metadata: {}
})
};
fetch('https://api.lynkwell.com/asset-management/v1/asset-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "location",
"network": {
"id": "<string>"
},
"sitePartners": [
{
"id": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"location": {
"name": "<string>",
"visibility": "EMPLOYEE_ONLY",
"contactDetails": {
"phone": "<string>",
"email": "jsmith@example.com",
"website": "<string>",
"facebook": "<string>",
"linkedIn": "<string>"
},
"businessType": "HOTEL",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "AL",
"postalCode": "<string>",
"countryCode": "US",
"streetDetails": "<string>"
},
"hours": {
"twentyfourseven": true,
"regularHours": [
{
"weekday": 123,
"periodBegin": "<string>",
"periodEnd": "<string>"
}
],
"exceptionalOpenings": [
{
"periodBegin": "<string>",
"periodEnd": "<string>"
}
],
"exceptionalClosings": [
{
"periodBegin": "<string>",
"periodEnd": "<string>"
}
]
},
"geoLocation": {
"longitude": 0,
"latitude": 0
},
"timezone": "<string>",
"allowChargingWhenClosed": true,
"taxConfig": {
"totalPercentSalesTax": 123,
"energyPerKwhExciseTax": 123
},
"openingDate": "2023-11-07T05:31:56Z",
"images": [
{
"url": "<string>",
"category": "<string>",
"imgType": "<string>",
"thumbnail": "<string>"
}
],
"directionHint": "<string>",
"parkingType": "PARKING_GARAGE",
"amenities": [
"<string>"
],
"visibilityNote": "<string>",
"industryVertical": "RETAIL_AND_HOSPITALITY"
},
"metadata": {}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Asset Groups
Create a new asset group
This endpoint creates a new asset group
POST
/
asset-management
/
v1
/
asset-groups
Create a new asset group
Authorizations
OAuth2 Client Credentials Flow
Body
application/json
You must provide the object that matches the type of asset group you are creating. So if you are specify type "location" you must provide the "location" object
The type of asset group to be created
Available options:
location An array of site partner IDs related to the asset group
Required string length:
1 - 50The ID of the network associated with the asset group
Required string length:
1 - 50Details specific to the location type of asset group
Show child attributes
Show child attributes
Additional metadata for the asset group
Response
Asset group successfully created
Available options:
location Show child attributes
Show child attributes
Show child attributes
Show child attributes
Will be present if the type of the asset group is "location"
Show child attributes
Show child attributes